Index: trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 175)
@@ -92,6 +92,8 @@
       CALL histwrite(nid_mth,"tops",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
+cccccccccccccccccc  Tracers
+c
          if (iflag_trac.eq.1) THEN
-c         if (microfi.eq.1) then
+          if (microfi.ge.1) then
 c          DO iq=1,nmicro
 c      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qaer(1,1,iq), zx_tmp_3d)
@@ -99,5 +101,107 @@
 c    .                                   iim*jjmp1*klev,ndex3d)
 c          ENDDO
-c         endif
+c    -------   NB AER TOT
+               do i=1,klon
+                 do j=1,klev
+                   zx_tmp_fi3d(i,j)= SUM(qaer(i,j,1:nrad))
+                 enddo
+               enddo
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+       CALL histwrite(nid_mth,"qaer",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c    -------   NB NOY TOT
+               do i=1,klon
+                 do j=1,klev
+                   zx_tmp_fi3d(i,j)= SUM(qaer(i,j,nrad+1:2*nrad))
+                 enddo
+               enddo
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+       CALL histwrite(nid_mth,"qnoy",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c    -------   V GLA1 TOT
+               do i=1,klon
+                 do j=1,klev
+                   zx_tmp_fi3d(i,j)= SUM(qaer(i,j,2*nrad+1:3*nrad))
+                 enddo
+               enddo
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+       CALL histwrite(nid_mth,"qgl1",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c    -------   V GLA2 TOT
+               do i=1,klon
+                 do j=1,klev
+                   zx_tmp_fi3d(i,j)= SUM(qaer(i,j,3*nrad+1:4*nrad))
+                 enddo
+               enddo
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+       CALL histwrite(nid_mth,"qgl2",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c    -------   V GLA3 TOT
+               do i=1,klon
+                 do j=1,klev
+                   zx_tmp_fi3d(i,j)= SUM(qaer(i,j,4*nrad+1:5*nrad))
+                 enddo
+               enddo
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+       CALL histwrite(nid_mth,"qgl3",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c --------------
+c ----- SATURATION ESP NUAGES
+             if (clouds.eq.1) then
+
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, satch4,zx_tmp_3d)
+       CALL histwrite(nid_mth,"ch4sat", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, satc2h6,zx_tmp_3d)
+       CALL histwrite(nid_mth,"c2h6sat", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, satc2h2,zx_tmp_3d)
+       CALL histwrite(nid_mth,"c2h2sat", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c --------------
+c ----- RESERVOIR DE SURFACE
+       CALL gr_fi_ecrit(1, klon,iim,jjmp1,reservoir,zx_tmp_2d)
+       CALL histwrite(nid_mth,"reserv",itau_w,zx_tmp_2d,
+     .                        iim*jjmp1,ndex2d)
+c --------------
+c ----- PRECIPITATIONS
+c       -----  CH4
+       CALL gr_fi_ecrit(1, klon,iim,jjmp1,prec(:,1),zx_tmp_2d)
+       CALL histwrite(nid_mth,"prech4",itau_w,zx_tmp_2d,
+     .                        iim*jjmp1,ndex2d)
+c       -----  C2H6
+       CALL gr_fi_ecrit(1, klon,iim,jjmp1,prec(:,2),zx_tmp_2d)
+       CALL histwrite(nid_mth,"prec2h6",itau_w,zx_tmp_2d,
+     .                        iim*jjmp1,ndex2d)
+c       -----  C2H2
+       CALL gr_fi_ecrit(1, klon,iim,jjmp1,prec(:,3),zx_tmp_2d)
+       CALL histwrite(nid_mth,"prec2h2",itau_w,zx_tmp_2d,
+     .                        iim*jjmp1,ndex2d)
+c
+c --------------
+c ----- FLUX GLACE
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,flxesp_i(1,1,1),zx_tmp_3d)
+       CALL histwrite(nid_mth,"flxgl1", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,flxesp_i(1,1,2),zx_tmp_3d)
+       CALL histwrite(nid_mth,"flxgl2", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,flxesp_i(1,1,3),zx_tmp_3d)
+       CALL histwrite(nid_mth,"flxgl3", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c
+c --------------
+c ----- RAYON MOYEN GOUTTE
+       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, rmcloud,zx_tmp_3d)
+       CALL histwrite(nid_mth,"rcldbar", itau_w, zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c
+             endif
+	  endif
+c
+c --------------
+c ----- TRACEURS CHIMIQUES
           if (nmicro.lt.nqmax) then
            DO iq=nmicro+1,nqmax
@@ -145,6 +249,6 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-c 3D adding Tau and k  (31/08/10)
-c 
+c --------------
+c ----- OPACITE BRUME
        do k=7,NSPECV,10
          do i=1,klon
@@ -160,13 +264,27 @@
        enddo      ! fin boucle NSPECV 
 
+       do k=8,NSPECI,10
+         do i=1,klon
+         do l=1,klev
+           t_tauhvd(i,l)=TAUHID(i,klev-l+1,k)
+         enddo
+         enddo
+         write(str1,'(i2.2)') k
+      zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+      CALL histwrite(nid_mth,"thi"//str1,itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       enddo      ! fin boucle NSPECI 
+c
+c --------------
+c ----- EXTINCTION BRUME
        do k=7,NSPECV,10
          do i=1,klon
          do l=1,klev
-         if(l.ne.klev)
-     s    t_khvd(i,l)=TAUHVD(i,klev-l+1,k)
-     s    -TAUHVD(i,klev-l+1-1,k)
-
+          if(l.ne.klev)
+     s     t_khvd(i,l)=TAUHVD(i,klev-l+1,k)
+     s                -TAUHVD(i,klev-l+1-1,k)
           if(l.eq.klev)
-     s    t_khvd(i,l)=TAUHVD(i,klev-l+1,k)
+     s     t_khvd(i,l)=TAUHVD(i,klev-l+1,k)
 
          t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
@@ -180,4 +298,25 @@
        enddo      ! fin boucle NSPECV 
 
+       do k=8,NSPECI,10
+         do i=1,klon
+         do l=1,klev
+          if(l.ne.klev)
+     s     t_khvd(i,l)=TAUHID(i,klev-l+1,k)
+     s                -TAUHID(i,klev-l+1-1,k)
+          if(l.eq.klev)
+     s     t_khvd(i,l)=TAUHID(i,klev-l+1,k)
+
+         t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
+         enddo
+         enddo
+         write(str1,'(i2.2)') k
+      zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+      CALL histwrite(nid_mth,"khi"//str1,itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       enddo      ! fin boucle NSPECI 
+c
+c --------------
+c ----- OPACITE GAZ
        do k=7,NSPECV,10
          do i=1,klon
@@ -193,13 +332,27 @@
        enddo      ! fin boucle NSPECV 
 
+       do k=8,NSPECI,10
+         do i=1,klon
+         do l=1,klev
+           t_tauhvd(i,l)=TAUGID(i,klev-l+1,k)
+         enddo
+         enddo
+         write(str1,'(i2.2)') k
+      zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+      CALL histwrite(nid_mth,"tgi"//str1,itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+       enddo      ! fin boucle NSPECI 
+c
+c --------------
+c ----- EXTINCTION GAZ
        do k=7,NSPECV,10
          do i=1,klon
          do l=1,klev
-         if(l.ne.klev)
-     s    t_khvd(i,l)=TAUGVD(i,klev-l+1,k)
-     s    -TAUGVD(i,klev-l+1-1,k)
-
+          if(l.ne.klev)
+     s     t_khvd(i,l)=TAUGVD(i,klev-l+1,k)
+     s                -TAUGVD(i,klev-l+1-1,k)
           if(l.eq.klev)
-     s    t_khvd(i,l)=TAUGVD(i,klev-l+1,k)
+     s     t_khvd(i,l)=TAUGVD(i,klev-l+1,k)
 
          t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
@@ -216,67 +369,54 @@
          do i=1,klon
          do l=1,klev
-           t_tauhvd(i,l)=TAUHID(i,klev-l+1,k)
-         enddo
-         enddo
-         write(str1,'(i2.2)') k
-      zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite(nid_mth,"thi"//str1,itau_w,zx_tmp_3d,
+          if(l.ne.klev)
+     s     t_khvd(i,l)=TAUGID(i,klev-l+1,k)
+     s                -TAUGID(i,klev-l+1-1,k)
+
+          if(l.eq.klev)
+     s     t_khvd(i,l)=TAUGID(i,klev-l+1,k)
+
+         t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
+         enddo
+         enddo
+         write(str1,'(i2.2)') k
+      zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+      CALL histwrite(nid_mth,"kgi"//str1,itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
        enddo      ! fin boucle NSPECI 
 
-       do k=8,NSPECI,10
-         do i=1,klon
-         do l=1,klev
-         if(l.ne.klev)
-     s    t_khvd(i,l)=TAUHID(i,klev-l+1,k)
-     s    -TAUHID(i,klev-l+1-1,k)
-
-          if(l.eq.klev)
-     s    t_khvd(i,l)=TAUHID(i,klev-l+1,k)
-
-         t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
-         enddo
-         enddo
-         write(str1,'(i2.2)') k
-      zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite(nid_mth,"khi"//str1,itau_w,zx_tmp_3d,
-     .                                   iim*jjmp1*klev,ndex3d)
-       enddo      ! fin boucle NSPECI 
-
-       do k=8,NSPECI,10
-         do i=1,klon
-         do l=1,klev
-           t_tauhvd(i,l)=TAUGID(i,klev-l+1,k)
-         enddo
-         enddo
-         write(str1,'(i2.2)') k
-      zx_tmp_fi3d(1:klon,1:klev)=t_tauhvd(1:klon,1:klev)
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite(nid_mth,"tgi"//str1,itau_w,zx_tmp_3d,
-     .                                   iim*jjmp1*klev,ndex3d)
-       enddo      ! fin boucle NSPECI 
-
-       do k=8,NSPECI,10
-         do i=1,klon
-         do l=1,klev
-         if(l.ne.klev)
-     s    t_khvd(i,l)=TAUGID(i,klev-l+1,k)
-     s    -TAUGID(i,klev-l+1-1,k)
-
-          if(l.eq.klev)
-     s    t_khvd(i,l)=TAUGID(i,klev-l+1,k)
-
-         t_khvd(i,l)=t_khvd(i,l)/(zzlev(i,l+1)-zzlev(i,l))
-         enddo
-         enddo
-         write(str1,'(i2.2)') k
-      zx_tmp_fi3d(1:klon,1:klev)=t_khvd(1:klon,1:klev)
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      CALL histwrite(nid_mth,"kgi"//str1,itau_w,zx_tmp_3d,
-     .                                   iim*jjmp1*klev,ndex3d)
-       enddo      ! fin boucle NSPECI 
-
+c --------------
+c ----- OPACITE NUAGES (ATTENTION PROXY)
+         if (clouds.eq.1) then
+           zx_tmp_fi3d(1:klon,1:klev)=occcld(1:klon,1:klev)
+           CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+           CALL histwrite(nid_mth,"tcld",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c --------------
+c ----- EXTINCTION NUAGES (ATTENTION PROXY)
+           do i=1,klon
+             t_kcld(i,klev)=occcld(i,klev)
+     .       /(zzlev(i,klev+1)-zzlev(i,klev))
+             do j=klev-1,1,-1
+               t_kcld(i,j)=(occcld(i,j)-occcld(i,j+1))
+     .         /(zzlev(i,j+1)-zzlev(i,j))
+             enddo
+           enddo
+           zx_tmp_fi3d(1:klon,1:klev)=t_kcld(1:klon,1:klev)
+           CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
+           CALL histwrite(nid_mth,"kcld",itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+c
+c --------------
+c ----- OCCURENCE NUAGES
+           do k=1,12
+             write(str1,'(i2.2)') k
+             zx_tmp_fi3d(1:klon,1:klev)=occcld_m(1:klon,1:klev,k)
+             CALL histwrite(nid_mth,"occcld"//str1,itau_w,zx_tmp_3d,
+     .                                   iim*jjmp1*klev,ndex3d)
+           enddo
+c
+        endif  
+c
       ENDIF !lev_histmth.GE.3
 c
Index: trunk/LMDZ.VENUS/libf/phyvenus/physiq.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 174)
+++ trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 175)
@@ -340,5 +340,4 @@
 c
       INTEGER nhori, nvert, idayref
-      INTEGER itau_phy_modif
       REAL zsto, zout, zsto1, zsto2, zero
       parameter (zero=0.0e0)
